"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Curl_1 = require("./lib/Curl");
function defaultCallback(err) {
    console.error(err);
}
exports.default = (instance, callback = defaultCallback) => {
    instance.interceptors.request.use((req) => {
        try {
            const curl = new Curl_1.Curl(req);
            const curlGenerate = curl.generateCommand();
            Object.assign(req, {
                curlCommand: curlGenerate
            });
        }
        catch (err) {
            callback(err);
        }
        finally {
            return req;
        }
    });
};
//# sourceMappingURL=main.js.map